# Webhooks

Manage the endpoints that receive event notifications.
Dinie follows the [Standard Webhooks](https://www.standardwebhooks.com/) specification.


## Create a webhook

 - [POST /webhooks/endpoints](https://docs.dinie.com/en-us/apis/openapi/webhooks/createwebhookendpoint.md): POST /webhooks/endpoints

Register a webhook endpoint

## List webhooks

 - [GET /webhooks/endpoints](https://docs.dinie.com/en-us/apis/openapi/webhooks/listwebhookendpoints.md): GET /webhooks/endpoints

List webhook endpoints

## Get a webhook

 - [GET /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/en-us/apis/openapi/webhooks/getwebhookendpoint.md): GET /webhooks/endpoints/{webhook_endpoint_id}

Get a webhook endpoint

## Update a webhook

 - [PATCH /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/en-us/apis/openapi/webhooks/updatewebhookendpoint.md): PATCH /webhooks/endpoints/{webhook_endpoint_id}

Update a webhook endpoint

## Delete a webhook

 - [DELETE /webhooks/endpoints/{webhook_endpoint_id}](https://docs.dinie.com/en-us/apis/openapi/webhooks/deletewebhookendpoint.md): DELETE /webhooks/endpoints/{webhook_endpoint_id}

Delete a webhook endpoint

## Rotate the secret

 - [POST /webhooks/endpoints/{webhook_endpoint_id}/rotate-secret](https://docs.dinie.com/en-us/apis/openapi/webhooks/rotatewebhooksecret.md): POST /webhooks/endpoints/{webhook_endpoint_id}/rotate-secret

Rotate a webhook's signing secret

## List webhook deliveries

 - [GET /webhooks/endpoints/{endpoint_id}/deliveries](https://docs.dinie.com/en-us/apis/openapi/webhooks/listwebhookdeliveries.md): GET /webhooks/endpoints/{endpoint_id}/deliveries

Paginated delivery history for a webhook endpoint, newest first

## Retry a webhook delivery

 - [POST /webhooks/endpoints/{endpoint_id}/deliveries/{id}/retry](https://docs.dinie.com/en-us/apis/openapi/webhooks/retrywebhookdelivery.md): POST /webhooks/endpoints/{endpoint_id}/deliveries/{id}/retry

Reset a failed delivery and re-enqueue it. Only deliveries in failed status can be retried

